Package org.apache.sysds.runtime.einsum

# Enum Class EOpNodeFuse.EinsumRewriteType

java.lang.Object
java.lang.Enum<EOpNodeFuse.EinsumRewriteType>
org.apache.sysds.runtime.einsum.EOpNodeFuse.EinsumRewriteType

All Implemented Interfaces:
  `Serializable`, `Comparable<EOpNodeFuse.EinsumRewriteType>`, `Constable`

Enclosing class:
  EOpNodeFuse

public static enum EOpNodeFuse.EinsumRewriteType extends Enum<EOpNodeFuse.EinsumRewriteType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AB_BA_A__B`
`AB_BA_A_AZ__BZ`
`AB_BA_A_AZ__ZB`
`AB_BA_B_A__`
`AB_BA_B_A__A`
`AB_BA_B_A__AB`
`AB_BA_B_A_AZ__Z`

## Method Summary

Modifier and Type
Method
Description
`static EOpNodeFuse.EinsumRewriteType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EOpNodeFuse.EinsumRewriteType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AB_BA_B_A__AB

public static final EOpNodeFuse.EinsumRewriteType AB_BA_B_A__AB

### AB_BA_A__B

public static final EOpNodeFuse.EinsumRewriteType AB_BA_A__B

### AB_BA_B_A__A

public static final EOpNodeFuse.EinsumRewriteType AB_BA_B_A__A

### AB_BA_B_A__

public static final EOpNodeFuse.EinsumRewriteType AB_BA_B_A__

### AB_BA_B_A_AZ__Z

public static final EOpNodeFuse.EinsumRewriteType AB_BA_B_A_AZ__Z

### AB_BA_A_AZ__BZ

public static final EOpNodeFuse.EinsumRewriteType AB_BA_A_AZ__BZ

### AB_BA_A_AZ__ZB

public static final EOpNodeFuse.EinsumRewriteType AB_BA_A_AZ__ZB

## Method Details

### values

public static EOpNodeFuse.EinsumRewriteType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EOpNodeFuse.EinsumRewriteType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null